--- old/usr/src/uts/common/fs/nfs/nfs4_vnops.c	2015-01-08 09:14:34.755830337 -0500
+++ new/usr/src/uts/common/fs/nfs/nfs4_vnops.c	2015-01-08 09:14:34.763877421 -0500
@@ -23,7 +23,7 @@
  * Use is subject to license terms.
  */
 /*
- * Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+ * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
  */
 
 /*
@@ -9787,19 +9787,11 @@
 
 	mutex_exit(&rp->r_statelock);
 
-	if (len <= PAGESIZE) {
-		error = nfs4_getapage(vp, off, len, protp, pl, plsz,
-		    seg, addr, rw, cr);
-		NFS4_DEBUG(nfs4_pageio_debug && error,
-		    (CE_NOTE, "getpage error %d; off=%lld, "
-		    "len=%lld", error, off, (u_longlong_t)len));
-	} else {
-		error = pvn_getpages(nfs4_getapage, vp, off, len, protp,
-		    pl, plsz, seg, addr, rw, cr);
-		NFS4_DEBUG(nfs4_pageio_debug && error,
-		    (CE_NOTE, "getpages error %d; off=%lld, "
-		    "len=%lld", error, off, (u_longlong_t)len));
-	}
+	error = pvn_getpages(nfs4_getapage, vp, off, len, protp,
+	    pl, plsz, seg, addr, rw, cr);
+	NFS4_DEBUG(nfs4_pageio_debug && error,
+	    (CE_NOTE, "getpages error %d; off=%lld, len=%lld",
+	    error, off, (u_longlong_t)len));
 
 	switch (error) {
 	case NFS_EOF:
@@ -9813,7 +9805,7 @@
 }
 
 /*
- * Called from pvn_getpages or nfs4_getpage to get a particular page.
+ * Called from pvn_getpages to get a particular page.
  */
 /* ARGSUSED */
 static int
